Page MenuHomePhabricator

repoview: use the phasecache directly to determine mutable revisions
ClosedPublic

Authored by joerg.sonnenberger on Jun 27 2020, 7:08 PM.

Details

Summary

This speeds up no-change updates from 1.3s to 0.85s for my NetBSD test
repository.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Further analysis shows that the main issue here is that the topic exchange triggers a rebuild of the "served-topic" branchmap without a real reason. That doesn't mean the change isn't useful in general.

Alphare accepted this revision.Jul 1 2020, 11:20 AM
durin42 requested changes to this revision.Jul 1 2020, 2:29 PM
durin42 added a subscriber: durin42.

LGTM, but needs rebased.

This revision now requires changes to proceed.Jul 1 2020, 2:29 PM

phabsend didn't properly create a stack here, which is why it doesn't apply by itself.

pulkit added a subscriber: pulkit.Jul 7 2020, 2:02 PM

This one looks good as independent patch. Will be happy to push if you rebase it on default and send.

Rebased on top of the changeset that introduced hasnonpublicphases

This revision was not accepted when it landed; it landed in state Needs Revision.
This revision was automatically updated to reflect the committed changes.